import request from '@/utils/request'

// 工程监理--巡视登记列表
export function apiSupervisionInspectionLists(params: any) {
    return request.get({ url: '/supervision_work.supervision_inspection/lists', params })
}

// 添加工程监理--巡视登记
export function apiSupervisionInspectionAdd(params: any) {
    return request.post({ url: '/supervision_work.supervision_inspection/add', params })
}

// 编辑工程监理--巡视登记
export function apiSupervisionInspectionEdit(params: any) {
    return request.post({ url: '/supervision_work.supervision_inspection/edit', params })
}

// 删除工程监理--巡视登记
export function apiSupervisionInspectionDelete(params: any) {
    return request.post({ url: '/supervision_work.supervision_inspection/delete', params })
}

// 工程监理--巡视登记详情
export function apiSupervisionInspectionDetail(params: any) {
    return request.get({ url: '/supervision_work.supervision_inspection/detail', params })
}


// 工程监理--巡视登记详情
export function apisupervision_inspection_result(params: any) {
    return request.get({ url: '/supervision_work.supervision_inspection_result/lists', params })
}

// 工程监理--巡视登记详情
export function apisupervision_problem(params: any) {
    return request.get({ url: '/supervision_work.supervision_problem/lists', params })
}

export function apisupervision_problem_delete(params: any) {
    return request.post({ url: '/supervision_work.supervision_problem/delete', params })
}
export function apisupervision_inspection_result_delete(params: any) {
    return request.post({ url: '/supervision_work.supervision_inspection_result/delete', params })
}


